INTERFACE
SUBROUTINE UVFLXA&
 & ( KIDIA, KFDIA , KLON , KLEV , KUV ,&
 & PAKI , PALBD , PALBP , PCG , PCLD, PCLEAR,&
 & PDSIG, POMEGA, PRAYL , PRMU , PSEC,&
 & PTAU , PCGAZ , PPIZAZ, PTAUAZ, PUD ,&
 & PFDOWN,PCDOWN&
 & ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KUV
REAL(KIND=JPRB) ,INTENT(IN) :: PAKI(KLON,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PALBD(KLON), PALBP(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCG(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLD(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLEAR(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PDSIG(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: POMEGA(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAYL(KLON), PRMU(KLON), PSEC(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTAU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTAUAZ(KLON,KLEV),PCGAZ(KLON,KLEV),PPIZAZ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PUD(KLON,2,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFDOWN(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCDOWN(KLON,KLEV+1)
END SUBROUTINE UVFLXA
END INTERFACE
